### Method

# Ide TestManager run_finish

#### Declaration

    gboolean
    ide_test_manager_run_finish (
      IdeTestManager* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes a request to ide_test_manager_run_finish().

When this function returns `TRUE`, it does not indicate that the test succeeded; only that the test was executed. Thest `IdeTest` instance itself will contain information about the success of the test.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| The `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the test was executed; otherwise `FALSE` and `error` is set.